Last Comment Bug 702330 - Revert to drawing Flash plugin with a SurfaceView
: Revert to drawing Flash plugin with a SurfaceView
Status: RESOLVED FIXED
:
Product: Firefox for Android
Classification: Client Software
Component: General (show other bugs)
: unspecified
: x86 Android
: P1 normal (vote)
: ---
Assigned To: James Willcox (:snorp) (jwillcox@mozilla.com)
:
:
Mentors:
Depends on:
Blocks: 695452
  Show dependency treegraph
 
Reported: 2011-11-14 10:17 PST by James Willcox (:snorp) (jwillcox@mozilla.com)
Modified: 2012-01-09 15:03 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
11+


Attachments
Backs out the previous draw-to-bitmap patch (21.47 KB, patch)
2011-11-14 10:17 PST, James Willcox (:snorp) (jwillcox@mozilla.com)
blassey.bugs: review+
Details | Diff | Splinter Review

Description James Willcox (:snorp) (jwillcox@mozilla.com) 2011-11-14 10:17:57 PST
Created attachment 574330 [details] [diff] [review]
Backs out the previous draw-to-bitmap patch

The fix for 692198 made Flash plugins draw to a bitmap and handled by Gecko. Unfortunately, this breaks several things. We need to bite the bullet and just deal with a SurfaceView on top of our UI.
Comment 1 Brad Lassey [:blassey] (use needinfo?) 2011-11-14 16:47:08 PST
Comment on attachment 574330 [details] [diff] [review]
Backs out the previous draw-to-bitmap patch

rs=blassey
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-11-16 06:41:21 PST
https://hg.mozilla.org/projects/birch/rev/bbde0864db91

Note You need to log in before you can comment on or make changes to this bug.